Bug 221468 - [css-flexbox] align-content issues
Summary: [css-flexbox] align-content issues
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sergio Villar Senin
URL:
Keywords: InRadar
Depends on:
Blocks: 136754
  Show dependency treegraph
 
Reported: 2021-02-05 09:00 PST by Sergio Villar Senin
Modified: 2021-04-02 03:59 PDT (History)
11 users (show)

See Also:


Attachments
Patch (6.05 KB, patch)
2021-03-31 11:26 PDT, Sergio Villar Senin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Villar Senin 2021-02-05 09:00:47 PST
This newly imported WPT tests have failing subtests:

LayoutTests/imported/w3c/web-platform-tests/css/css-flexbox/align-content-horiz-001a.html
LayoutTests/imported/w3c/web-platform-tests/css/css-flexbox/align-content-horiz-001b.html
LayoutTests/imported/w3c/web-platform-tests/css/css-flexbox/align-content-horiz-002.html
LayoutTests/imported/w3c/web-platform-tests/css/css-flexbox/align-content-vert-001a.html
LayoutTests/imported/w3c/web-platform-tests/css/css-flexbox/align-content-vert-001b.html
LayoutTests/imported/w3c/web-platform-tests/css/css-flexbox/align-content-vert-002.html
LayoutTests/imported/w3c/web-platform-tests/css/css-flexbox/align-content-wmvert-001.html
Comment 1 Sergio Villar Senin 2021-02-05 09:02:28 PST
Also these test failures:

imported/w3c/web-platform-tests/css/css-flexbox/align-content_center.html
imported/w3c/web-platform-tests/css/css-flexbox/align-content_flex-end.html
imported/w3c/web-platform-tests/css/css-flexbox/align-content_flex-start.html
imported/w3c/web-platform-tests/css/css-flexbox/align-content_space-around.html
imported/w3c/web-platform-tests/css/css-flexbox/align-content_space-between.html
imported/w3c/web-platform-tests/css/css-flexbox/align-content_stretch.html
Comment 2 Radar WebKit Bug Importer 2021-02-12 09:01:13 PST
<rdar://problem/74278321>
Comment 3 Sergio Villar Senin 2021-03-31 11:26:36 PDT
Created attachment 424789 [details]
Patch
Comment 4 EWS Watchlist 2021-03-31 11:27:33 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 5 EWS 2021-04-02 03:59:44 PDT
Committed r275416: <https://commits.webkit.org/r275416>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424789 [details].